<template >
    <div class="container-fluid mt-4 print">
        <div class="row d-flex">
            <div class="col-sm-6">
                <p class="m-0">{{ pesanan.user.name }}</p>
                <p class="m-0">{{ pesanan.user.whatsapp == null ? '000-000-000' : pesanan.user.whatsapp }}</p>
                <p class="m-0">{{ pesanan.user.email }}</p>
            </div>
            <div class="col-sm-6 d-flex flex-column justify-content-center align-items-end">
                <p class="m-0">CV. ALIF AULIA PRINT</p>
                <p class="m-0">jl. Perintis Kemerdekaan No.KM.10, Tamalanrea Jaya,</p>
                <p class="m-0">hotline : 0852-9992-5163</p>
                <p class="mt-4 mb-0">Mitra cetak anda (Mandiri)</p>
                <p class="m-0">No. Rek. 3237283726</p>
            </div>
        </div>
        <hr>
        <div class="row">
            <div class="col-sm-6">
                <table cellpadding="10">
                    <tr>
                        <td>Tanggal/waktu Pesanan</td>
                        <td>:</td>
                        <td>{{ pesanan.created_at }}</td>
                    </tr>
                    <!-- <tr>
                        <td>waktu pemesanan</td>
                        <td>:</td>
                        <td>-</td>
                    </tr> -->
                </table>
            </div>
            <div class="col-sm-6">
                <table cellpadding="10">
                    <tr>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>
                </table>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <table class="table mt-5">
                    <thead>
                        <tr>
                            <th>Jenis pembayaran</th>
                            <th>nominal</th>
                            <th>waktu pembayaran</th>
                            <th>pengurus</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr v-for="pembayaran in pesanan.pembayaran">
                            <td>{{ pembayaran.jenis_pembayaran == null ? 'pembayaran mendatang' :
                                pembayaran.jenis_pembayaran }}</td>
                            <td>Rp. {{ Number(pembayaran.jumlah_yang_dibayar).toLocaleString() }}</td>
                            <td>{{ pembayaran.created_at }}</td>
                            <td>{{ pembayaran.pesanan.user.name }}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="row mt-5">
            <div class="col-sm-3 text-center px-5">
                <p lc>pemesan</p>
                <hr class="mt-50">
                <p>{{ pesanan.pelanggan.nama }}</p>
            </div>
            <div class="col-sm-3 text-center px-5">
                <p>cs</p>
                <hr class="mt-50">
                <p>{{ pesanan.user.name }}</p>
            </div>
            <div class="col-sm-6 d-flex justify-items-end flex-column align-items-end">
                <p>total : {{ Number(sumJumlahYangDibayar(pesanan.pembayaran)).toLocaleString() }}</p>
                <p>sisa pembayaran : 0</p>
            </div>
        </div>
    </div>
</template>

<style>
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100&display=swap');

.mt-50 {
    margin-top: 100px;
}

.print p {
    font-size: 18px !important;
    font-family: 'Roboto', sans-serif;
    color: black !important;
    font-weight: bolder;

}

.print hr {
    border: 1px solid #565656;
}
</style>
<script>



export default {
    props: {
        user: Object,
        pesanan: Object,
    },
    computed: {
        // Calculate total for all products in all orders
        total() {
            let total = 0;

            this.pesanan.produk.forEach(product => {
                total += product.jumlah * product.harga_satuan;
            });

            return total;
        }
    },
    methods: {
        sumJumlahYangDibayar(data) {
            if (!data || data.length === 0) {
                return 0;
            }

            return data.reduce((total, item) => total + item.jumlah_yang_dibayar, 0);
        },
        calculateSubtotal(row) {
            // Calculate subtotal for a row

            return row.jumlah * row.harga_satuan;
        },
    },
    mounted() {
        // Initialize DataTables
        $('#dataTable').DataTable({
            // DataTables configuration options
        });
    }
}
</script>
